Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::Protocol Struct Reference

`#include <RTCORBAC.h>`

Collaboration diagram for RTCORBA::Protocol:

[legend]
List of all members.

## Public Types
typedef Protocol_var | _var_type
## Static Public Methods
void | _tao_any_destructor (void *)
## Public Attributes
IOP::ProfileId | protocol_type
RTCORBA::ProtocolProperties_var | orb_protocol_properties
RTCORBA::ProtocolProperties_var | transport_protocol_properties

## Member Typedef Documentation

typedef Protocol_var RTCORBA::Protocol::_var_type

## Member Function Documentation

void RTCORBA::Protocol::_tao_any_destructor | ( | void * |  | ) | `[static]`

## Member Data Documentation

RTCORBA::ProtocolProperties_var RTCORBA::Protocol::orb_protocol_properties

IOP::ProfileId RTCORBA::Protocol::protocol_type

RTCORBA::ProtocolProperties_var RTCORBA::Protocol::transport_protocol_properties

The documentation for this struct was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp